From 47a192c9f822b267310fe772b1bcc25c04aede5e Mon Sep 17 00:00:00 2001
From: Florian Weimer <fweimer@redhat.com>
Date: Fri, 5 Jan 2024 11:22:15 +0100
Subject: [PATCH] VALUE casts for rb_funcall arguments

The Ruby API expects VALUE types instead of void *, so add casts.
This avoids compilation errors with current compilers.
---
 ext/glu/glu.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/ext/glu/glu.c b/ext/glu/glu.c
index ecced2d..07d7793 100644
--- a/ext/glu/glu.c
+++ b/ext/glu/glu.c
@@ -636,7 +636,7 @@ t_vertex(data)
 void* data;
 {
   TESS_CALLBACK_COMMON
-  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_VERTEX), callId, 1, data);
+  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_VERTEX), callId, 1, (VALUE) data);
 }
 static void CALLBACK
 t_end()
@@ -657,7 +657,7 @@ GLenum type;
 void* user_data;
 {
   TESS_CALLBACK_COMMON
-  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_BEGIN_DATA), callId, 2, INT2NUM(type), user_data);
+  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_BEGIN_DATA), callId, 2, INT2NUM(type), (VALUE) user_data);
 }
 static void CALLBACK
 t_edgeFlag_data(flag, user_data)
@@ -665,7 +665,7 @@ GLboolean flag;
 void* user_data;
 {
   TESS_CALLBACK_COMMON
-  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_EDGE_FLAG_DATA), callId, 2, GLBOOL2RUBY(flag), user_data);
+  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_EDGE_FLAG_DATA), callId, 2, GLBOOL2RUBY(flag), (VALUE) user_data);
 }
 static void CALLBACK
 t_vertex_data(data, user_data)
@@ -673,14 +673,14 @@ void* data;
 void* user_data;
 {
   TESS_CALLBACK_COMMON
-  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_VERTEX_DATA), callId, 2, data, user_data);
+  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_VERTEX_DATA), callId, 2, (VALUE) data, (VALUE) user_data);
 }
 static void CALLBACK
 t_end_data(user_data)
 void* user_data;
 {
   TESS_CALLBACK_COMMON
-  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_END_DATA), callId, 1, user_data);
+  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_END_DATA), callId, 1, (VALUE) user_data);
 }
 static void CALLBACK
 t_error_data(errorno, user_data)
@@ -688,7 +688,7 @@ GLenum errorno;
 void* user_data;
 {
   TESS_CALLBACK_COMMON
-  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_ERROR_DATA), callId, 2, INT2NUM(errorno), user_data);
+  rb_funcall(rb_ary_entry(tdata->t_ref, TESS_ERROR_DATA), callId, 2, INT2NUM(errorno), (VALUE) user_data);
 }
 
 static void CALLBACK

